"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const linkingToGithubIssue = {
    rules: {
        'linking-to-github-issue': parsed => {
            const bodyRegex = /^this (close|closes|closed|fix|fixes|fixed|resolve|resolves|resolved) #(?<issueId>\d+)$/i;
            const headerRegex = /^ISSUE-(?<issueId>\d+): .*$/;
            const { body, footer, header } = parsed;
            const messageBody = body || footer;
            const isValid = messageBody !== null && bodyRegex.test(messageBody);
            if (!isValid) {
                return [
                    isValid,
                    `commit message body (${messageBody}) doest not match with pattern : ${bodyRegex}`,
                ];
            }
            const bodyIssueId = messageBody.match(bodyRegex)?.groups?.['issueId'];
            const headerIssueId = header.match(headerRegex)?.groups?.['issueId'];
            return [
                bodyIssueId === headerIssueId,
                `issue id ${bodyIssueId} specific in body not equal to ${headerIssueId} in header`,
            ];
        },
    },
};
module.exports = linkingToGithubIssue;
//# sourceMappingURL=index.js.map